: Class RemoteResourceWrapper

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm
Class RemoteResourceWrapper

    java.lang.Object
      |
      +--org.w3c.jigadm.RemoteResourceWrapper

Direct Known Subclasses:
  RemoteResourceWrapper

public class RemoteResourceWrapper
extends java.lang.Object

Constructor Summary
`RemoteResourceWrapper(RemoteResource rr)`
`RemoteResourceWrapper(RemoteResource father, RemoteResource rr)`
`RemoteResourceWrapper(RemoteResource father, RemoteResource rr, ServerBrowser sb)`
`RemoteResourceWrapper(RemoteResource rr, ServerBrowser sb)`
`RemoteResourceWrapper(RemoteResourceWrapper rrwf, RemoteResource rr)`
`RemoteResourceWrapper(RemoteResourceWrapper rrwf, RemoteResource rr, ServerBrowser sb)`

Method Summary
`ServerBrowser` | `getBrowser()`
`RemoteResource` | `getFatherResource()`
`RemoteResourceWrapper` | `getFatherWrapper()`
`RemoteResource` | `getResource()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteResourceWrapper

    public RemoteResourceWrapper(RemoteResource rr)

### RemoteResourceWrapper

    public RemoteResourceWrapper(RemoteResource rr,
                                 ServerBrowser sb)

### RemoteResourceWrapper

    public RemoteResourceWrapper(RemoteResource father,
                                 RemoteResource rr)

### RemoteResourceWrapper

    public RemoteResourceWrapper(RemoteResource father,
                                 RemoteResource rr,
                                 ServerBrowser sb)

### RemoteResourceWrapper

    public RemoteResourceWrapper(RemoteResourceWrapper rrwf,
                                 RemoteResource rr)

### RemoteResourceWrapper

    public RemoteResourceWrapper(RemoteResourceWrapper rrwf,
                                 RemoteResource rr,
                                 ServerBrowser sb)

Method Detail

### getFatherResource

    public RemoteResource getFatherResource()

### getBrowser

    public ServerBrowser getBrowser()

### getFatherWrapper

    public RemoteResourceWrapper getFatherWrapper()

### getResource

    public RemoteResource getResource()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD